### Function

# FwupdPlugin crc32_bytes

#### Declaration [src]

    guint32
    fu_crc32_bytes (
      FuCrcKind kind,
      GBytes* blob
    )

#### Description [src]

Returns the cyclic redundancy check value for the given memory buffer.

Available since: | 2.0.2

#### Parameters

`kind` | `FuCrcKind`
| A `FuCrcKind`, typically `FU_CRC_KIND_B32_STANDARD`.
`blob` | `GBytes`
| A `GBytes`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `guint32`
| CRC value.